plugins {
    id 'prestoplay.android-demo-convention'
}

android {
    defaultConfig {
        // We need minSdkVersion=21 for mediasession-plugin
        compileSdk 35
        minSdkVersion 21
    }
}

dependencies {
    // castlabs dependencies
    implementation castlabs.demoapputils

    implementation castlabs.playerui
    implementation castlabs.ima
    implementation castlabs.subtitles
    implementation castlabs.ima
    implementation castlabs.debug
    implementation castlabs.devicetime
    implementation castlabs.thumbnails
    implementation castlabs.okhttp
    implementation castlabs.mediasession

    implementation demos.androidx.appcompat
    implementation demos.google.material
    implementation demos.androidx.legacy
    implementation demos.androidx.constraintlayout
}

android {
    namespace 'com.castlabs.sdk.mediasession_demo'
}
